Subject: Re: linking with MSVC++
From: [email-masked] (Trevor Yann)

17 Oct 1996 23:51:41 -0700
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <1.5.4.32.19961018232736.002e7194.cygnus.gnu-win32@mailhost>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: ty@mailhost
X-Mailer: Windows Eudora Light Version 1.5.4 (32)
Original-To: [email-masked]
Original-Sender: [email-masked]

At 09:56 17/10/1996 -0700, Jeff Bronte wrote:
>At 01:19 PM 10/17/96 +0930, Brian Modra wrote:
>>Assuming that I create a GUI front end using MSVC++ (and prototype
>>some extern "C" fuunctions), can I link in with g++? The main program
>>would be compiled with g++.
>>Alternatively, can I link g++ compiled objects with MV Visual Basic
>>objects, or is MSVB interpreted only?
>>Any other ideas?
>>Thanks
>>
>>-- 
>>Brian Modra, Contracted Software Engineer from AMRAD Pty Ltd
>
>Assuming that GNU Win32 has all the common network calls...
>
>If I had to solve your problem of tacking a GUI onto GNU I would
>use RPC's (Remote Procedure Calls). If you are not familiar with
>network programming using this powerful tool (many of the internal services
>found in any UNIX box are based on RPC's) you can get an
>excellent book from O'Reilly and Associates. 

.... stuff deleted

Getting RPC working with gcc is probably a fair size job.  It would be
easier to create a DLL using gcc which could be called from the application
built using VC++.

The functions exported in the DLL would have to be C functions (with C linkage).

Windows is implemented largely with DLLs built using Microsoft tools, and
gcc has no trouble using them.  I wouldn't expect too many problems the
other way around (i.e. app built with microsoft tools calling functions in a
dll built with gcc).

Trevor Yann

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".